# -*- encoding: utf-8 -*-
# stub: gadget 0.7.0 ruby lib

Gem::Specification.new do |s|
  s.name = "gadget".freeze
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Craig S. Cottingham".freeze]
  s.date = "2016-11-01"
  s.description = "# Gadget\n\nSome methods for getting metadata and other deep details from a PostgreSQL database.\n\n## Installation\n\nAdd this line to your application's Gemfile:\n\n    gem 'gadget'\n\nAnd then execute:\n\n    $ bundle\n\nOr install it yourself as:\n\n    $ gem install gadget\n\n## Usage\n\n`#tables(conn)`\n\nReturns a list of all tables in the schema reachable through `conn`.\n\n`#columns(conn, tablename=nil)`\n\nReturns a list of all columns in the schema reachable through `conn`.\nIf `tablename` is given, returns the columns in only that table.\n\n`#foreign_keys(conn, tablename=nil)`\n\nReturns a list of all foreign keys in the schema reachable through `conn`.\nIf `tablename` is given, returns the foreign keys in only that table.\n\n`#constraints(conn, tablename=nil)`\n\nReturns a list of all constraints in the schema reachable through `conn`.\nIf `tablename` is given, returns the constraints in only that table.\n\n`#dependencies(conn)`\n\nReturns a structure representing the dependencies between tables in the schema reachable through `conn`.\nTable A is defined as dependent on table B if A contains a foreign key reference to B.\n\n`#tables_in_dependency_order(conn)`\n\nReturns a list of all tables in the schema reachable through `conn`, ordered such that any given table\nappears later in the list than all of its dependencies.\n\n`#dependency_graph(conn)`\n\nReturns `.dot` script (suitable for feeding into Graphviz) describing the table dependency graph.\n\n`#functions(conn)`\n\nReturns a list of all functions in the schema reachable through `conn`.\n\n`#sequences(conn)`\n\nReturns a list of all sequences in the schema reachable through `conn`.\n\n`#triggers(conn)`\n\nReturns a list of all triggers in the schema reachable through `conn`.\n\n`#types(conn)`\n\nReturns a list of all types in the schema reachable through `conn`.\n\n## Contributing\n\n1. Fork it\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin my-new-feature`)\n5. Create new Pull Request\n".freeze
  s.email = ["craig.cottingham@gmail.com".freeze]
  s.executables = ["gadget".freeze]
  s.files = ["bin/gadget".freeze]
  s.homepage = "".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Some methods for getting metadata and other deep details from a PostgreSQL database.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<pg>.freeze, ["~> 0.18.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  else
    s.add_dependency(%q<pg>.freeze, ["~> 0.18.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
  end
end
